<?php require_once('Connections/cn.php'); ?>
<?php
//**************************************************************************************************************
// Nombre del Script: cambiar_status_materia_regular.php
// Descripción: Permite cambiar el status de una unidad curricular seleccionada para inscribir por un estudiante. 
//              Controla el número de créditos inscritos.            
// Llamado desde: inscripcion_reg_oferta.php
// Precondiciones:  1. El estudiante tiene asignado un turno.
//                  2. El estudiante tiene asignada una sede.
//                  3. El estudiante se inscribió en el lapso anterior.
//**************************************************************************************************************
session_start();
if (!isset($_SESSION['MM_Username'])) {
    header ("Location: modulos/inicio/index.php");
}
// Captura los datos que vienen de inscripcion_reg_oferta.php
$id_alumno=$_GET["id_alumno"];
$id_carrera=$_GET["id_carrera"];
$id_periodo=$_GET["id_periodo"];
$id_sede=$_GET['id_sede'];	
$id_materia=$_GET['id_materia'];
$seccion = $_GET['seccion'];
$semestre= $_GET['semestre'];
$cedula= $_GET['cedula'];
$nombre_estudiante= $_GET['nombre_estudiante'];
$uc=$_GET['uc'];
$uci=$_GET['uci'];	
$nro=$_GET['nro'];	

$maximo= $_GET['maximo'];
    // Determina si la unidad curricular tiene cupos disponibles.
    mysql_select_db($database_cn, $cn);
   // Unidad curricular tiene cupos disponible
   mysql_select_db($database_cn, $cn);
   $sql = "SELECT * FROM inscripciones_tmp where id_alumno='$id_alumno' and id_carrera='$id_carrera' and                id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia' and inscrita='S'";
   $rs = mysql_query($sql, $cn) or die(mysql_error());
   $rows = mysql_num_rows($rs);
   if($rows>0 && $seccion!="0") $uci=$uci-$uc;
      
   mysql_select_db($database_cn, $cn);
   $sql = "Update inscripciones_tmp set inscrita='N' WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and            id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia'";
   $rs = mysql_query($sql, $cn) or die(mysql_error());

   if($seccion!="0"){
      $sql = "SELECT cupos-inscritos as cupos_disponibles FROM oferta_academica where id_carrera='$id_carrera' and            id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia' and id_seccion='$seccion' and            semestre='$semestre' ";
      $rs = mysql_query($sql, $cn) or die(mysql_error());
      $rows = mysql_num_rows($rs);
      $rst = mysql_fetch_assoc($rs);
      $cupos_disponibles=$rst["cupos_disponibles"];
      if($cupos_disponibles>0){
   		 // Inscribe la materia.
   		 mysql_select_db($database_cn, $cn);
   		 $sql = "Update inscripciones_tmp set inscrita='S' WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia' and id_seccion='$seccion'";
   		 $rs = mysql_query($sql, $cn) or die(mysql_error());
   		 if(($uci+$uc)<=$maximo)
         {
		    // Contabiliza el número de créditos inscritos.
         	$creditos_inscritos=$uci+$uc;
	    }
	    else{
	        mysql_select_db($database_cn, $cn);
            $sql = "Update inscripciones_tmp set inscrita='N' WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia' and id_seccion='$seccion'";
            $rs = mysql_query($sql, $cn) or die(mysql_error());
	        $creditos_inscritos=$uci;
	        ?>
	        <script type="text/javascript">	   
	            msj="!Advertencia!.\nInscripción de Unidad Curricular no procesada.\nExcede el Máximo de Créditos a Inscribir";
	 	        alert(msj);
		        window.parent.document.form1.seccion<?php echo $nro; ?>.value=0;
		        window.parent.document.form1.seccion<?php echo $nro; ?>.focus();
	        </script>
	       <?php
	    }
		
	}
    else{
     ?>
	  <script type="text/javascript">	   
	    msj="!Lo sentimos!.\nUnidad curricular no tiene cupo en la sección seleccionada.\nIntente con otra sección.";
	 	alert(msj);
		window.parent.document.form1.seccion<?php echo $nro; ?>.value=0;
		window.parent.document.form1.seccion<?php echo $nro; ?>.focus();
	  </script>
	<?php
	  // Coloca al estudiante que no consiguió cupo en una unidad curricular en lista de espera.
	  mysql_select_db($database_cn, $cn);
            $sql = "INSERT INTO lista_espera (sede,semestre,id_seccion,id_materia,id_alumno,cedula_alumno,nombre_estudiante) values ('$id_sede','$semestre','$seccion','$id_materia','$id_alumno','$cedula','$nombre_estudiante')";
            $rs = mysql_query($sql, $cn) or die(mysql_error());
   }
//**
   }
   else{
       // Materia no isncrita.
       $creditos_inscritos=$uci-$uc;
   }
// Retorna al formulario los créditos inscritos.
?>
<script type="text/javascript">	   
window.parent.document.form1.creditos_inscritos.value=<?php echo $creditos_inscritos; ?>;
</script>
